Skip to content

API V2 (Beta)

Git Integrations

Connect a project to a Git repository and sync files with it as async jobs.

Operations

Operation Request
Retrieve the project’s git integration GET /v2/projects/{projectId}/integrations/git
Connect a project to Git POST /v2/projects/{projectId}/integrations/git
Disconnect a project’s Git integration DELETE /v2/projects/{projectId}/integrations/git
Update the project’s git integration PATCH /v2/projects/{projectId}/integrations/git
Retrieve the branch’s git integration GET /v2/branches/{branchId}/integrations/git
Bind a project branch to Git POST /v2/branches/{branchId}/integrations/git
Disconnect a project branch from Git DELETE /v2/branches/{branchId}/integrations/git
Push to git integration POST /v2/branches/{branchId}/integrations/git/push
Pull from git integration POST /v2/branches/{branchId}/integrations/git/pull